﻿using System;
using System.Threading.Tasks;

namespace ScaraBattle.Persistence
{
    /// <summary>
    /// Interface for saving and loading games.
    /// </summary>
    public interface IGameDataAccess
    {
        /// <summary>
        /// Load game state asynchronously
        /// </summary>
        /// <param name="path">Path of game state</param>
        /// <returns>Parameters required for creating a game</returns>
        Task<GameTable> LoadAsync(String path);

        /// <summary>
        /// Save game state asynchronously
        /// </summary>
        /// <param name="path">Path of game state</param>
        /// <param name="table">Current state of the game</param>
        Task SaveAsync(String path, GameTable table);
    }
}
