﻿using System;

namespace ScaraBattle.ViewModel
{
    /// <summary>
    /// Class for the representation of a field on the game table
    /// </summary>
    class GameField : ViewModelBase
    {
        /// <summary>
        /// X coordinate of field
        /// </summary>
        public int X { get; set; }

        /// <summary>
        /// Y coordinate of field
        /// </summary>
        public int Y { get; set; }

        private String _image;

        /// <summary>
        /// Keyword for the image of the field
        /// </summary>
        public String Image
        {
            get { return _image; }
            set
            {
                _image = value;
                OnPropertyChanged();
            }
        }

        /// <summary>
        /// Calculated position of the field
        /// </summary>
        public (int Y, int X) Position
        {
            get { return (X, Y); }
        }


        private String _color;
        /// <summary>
        /// Keyword for the color of the field
        /// </summary>
        public String Color
        {
            get { return _color; }
            set
            {
                _color = value;
                OnPropertyChanged();
            }
        }

        /// <summary>
        /// Delegate command for the selection of the field
        /// </summary>
        public DelegateCommand CellCommand { get; set; }
    }
}
