﻿using ScaraBattle.Persistence;

namespace ScaraBattle.ViewModel
{
    /// <summary>
    /// Class for the representation of menu items on the screen
    /// </summary>
    class MenuItem : ViewModelBase
    {

        /// <summary>
        /// The type of the menu item
        /// </summary>
        public SelectedObject Type { get; set; }

        public int Price { get; set; }

        /// <summary>
        /// Delegate command for the selection of the menu item
        /// </summary>
        public DelegateCommand SelectCommand { get; set; }

        /// <summary>
        /// Tower damage
        /// </summary>
        public int Damage { get; set; }

        /// <summary>
        /// Tower range
        /// </summary>
        public double Range { get; set; }
    }
}
